<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.payment.home.title">Payments</span>
    </h5> -->
    <p-dataTable
        [value]="payments"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idPayment"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['payment-popup-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.payment.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.paymentNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.paymentNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.refferenceNumber'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.refferenceNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.dateCreate'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.amount'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.amount | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.paymentType'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paymentTypeId">
                    <a [routerLink]="['../payment-type', rowData.paymentTypeId  ]" >{{rowData.paymentTypeId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.method'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.methodId">
                    <a [routerLink]="['../payment-method', rowData.methodId  ]" >{{rowData.methodId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.paidTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paidToId">
                    <a [routerLink]="['../bill-to', rowData.paidToId  ]" >{{rowData.paidToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.payment.paidFrom'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paidFromId">
                    <a [routerLink]="['../bill-to', rowData.paidFromId  ]" >{{rowData.paidFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../payment', rowData.idPayment]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['../payment/0/' + page + '/' + rowData.idPayment + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>